## org.biojava.bio.program.gff
Class GFFRecordFilter.StrandFilter

    java.lang.Object
      org.biojava.bio.program.gff.GFFRecordFilter.StrandFilter

All Implemented Interfaces:
  GFFRecordFilter

Enclosing interface:
  GFFRecordFilter

    public static class GFFRecordFilter.StrandFilter

extends Object
implements GFFRecordFilter

Nested Class Summary

Nested classes/interfaces inherited from interface org.biojava.bio.program.gff.GFFRecordFilter
`GFFRecordFilter.AcceptAll, GFFRecordFilter.FeatureFilter, GFFRecordFilter.FrameFilter, GFFRecordFilter.NotFilter, GFFRecordFilter.SequenceFilter, GFFRecordFilter.SourceFilter, GFFRecordFilter.StrandFilter`

Field Summary

Fields inherited from interface org.biojava.bio.program.gff.GFFRecordFilter
`ACCEPT_ALL`

Constructor Summary
`GFFRecordFilter.StrandFilter()`
`GFFRecordFilter.StrandFilter(StrandedFeature.Strand strand)`

Method Summary
`boolean` `accept(GFFRecord record)` Return whether or not to accept record.
`StrandedFeature.Strand` `getStrand()`
`void` `setStrand(StrandedFeature.Strand strand)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### GFFRecordFilter.StrandFilter

    public GFFRecordFilter.StrandFilter()

### GFFRecordFilter.StrandFilter

    public GFFRecordFilter.StrandFilter(StrandedFeature.Strand strand)

Method Detail

### setStrand

    public void setStrand(StrandedFeature.Strand strand)

### getStrand

    public StrandedFeature.Strand getStrand()

### accept

    public boolean accept(GFFRecord record)

  Description copied from interface: `GFFRecordFilter`
  Return whether or not to accept record.

  Specified by:
    `accept` in interface `GFFRecordFilter`
  Parameters:
    `record` - the GFFRecord to filter
  Returns:
    true if record should be accepted or false otherwise